

PercentageNegativeEdges = SP.network_param;

for id_net = 1:size(SP.network_param,2)
    id_network = id_network + 1;

    % Add random negative edges
    Adj_Mat = Adj_Mat.*((2*double(rand(size(Adj_Mat)) > PercentageNegativeEdges(id_net))) - ones(size(Adj_Mat)));

    InteractionNetworks{id_network} = Adj_Mat;

end

